---
layout: default
title: GitLab or Jenkins
description: "Jenkins Plugin Overload? Switch to GitLab CI/CD and experience 50% less admin overhead, 20% improved developer efficiency, and 50% less computing cost."
suppress_header: true
canonical_path: "/compare/jenkins-alternative/"
extra_css:
  - comparison-page.css
  - gitlab-feature-landing-page.css
  - features.css
  - form-to-resource.css
destination_url: "https://learn.gitlab.com/c/51?x=eK9OiC&lb_email="
form_id: "1592"
form_type: "webcasts"
cta_title: "See demo of GitLab CI advantages over Jenkins"
cta_date: Sept 26, 8:00 am PT/ 3:00 pm UTC
cta_subtitle: 
link_text: "&gt; Thanks for registering! Click here to read more proof points."
success_message: "You will also receive the webcast details and additional proof points sent to your inbox shortly."
---
.wrapper.gitlab-ee-page
  .blank-header{ style: "background: linear-gradient(180deg, #151128, #272359)" }
    .header-content
      %img.hero-image-large{ src: "/images/icons/gitlab-ci-cd-pipeline.svg", alt: "Gitlab CI/CD svg", style: "height: inherit; max-width:500px;" }
      %h1 Jenkins Plugin Overload?
      %p
        Switch to GitLab CI/CD and experience 50% less admin overhead, 20% improved developer efficiency, and 50% less computing cost.
  .sub-wrapper
    .container
      .row
        .col-md-5.col-md-offset-1
          %h2.compare-heading.u-text-brand.u-margin-top-0 Why customers choose GitLab over Jenkins

          .media.u-margin-top-xs
            -#.media-left.media-middle.u-padding-right-sm
              .media-object{ style: "width: 80px; height: 80px" }
                %img{src: "/images/icons/first-look-influence.svg"}
            .media-body.media-middle
              %h4.u-margin-top-0
                %img{src: "/images/icons/first-look-influence.svg"}
                No third party plugin headaches
              %p Jenkins has thousands of plugins written by third parties. This is a maintenance nightmare for teams and enterprise organizations as plugins vary in quality and may lose support without notice.
              %p GitLab is a complete DevOps platform, delivered as a single application. We provide a seamless workflow between SCM & CI, no third-party plugin assembly required.

          .media.u-margin-top-xs
            .media-body.media-middle
              %h4.u-margin-top-0
                %img{src: "/images/icons/computer-test.svg"}
                Reduced Risk
              %p Jenkins users frequently experience service instability from running bigger workloads with a large number of plugins.
              %p As a single application, GitLab decreases toolchain downtime and eliminates error-prone integrations. This allows teams to increase agility so they can deliver apps faster.

          .media.u-margin-top-xs
            .media-body.media-middle
              %h4.u-margin-top-0
                %img{src: "/images/icons/scale.svg"}
                Lower Cost & Increased Efficiency
              %p Plugins are only part of the problem. Jenkins requires dedicated resources, admins, and maintenance - increasing the total cost of ownership.
              %p GitLab requires fewer steps to deploy code and significantly reduces the software development cycle time. Developers can spend more time writing code and less time maintaining the toolchain.

        .col-md-4.col-md-offset-1
          .webcast-outer-wrapper
            -#= partial "includes/webcast-single", locals: { youtube_url: "https://www.youtube.com/embed/isJu3P-pwc4", formid: "1592", webcasttitle: "Watch a webcast to learn how GitLab's CI/CD can help speed up your development cycle by 200%" }
            = partial "includes/form-to-resource", locals: { destination_url: current_page.data.destination_url, form_id: current_page.data.form_id, form_type: current_page.data.form_type, cta_title: current_page.data.cta_title, cta_date: current_page.data.cta_date, cta_subtitle: current_page.data.cta_subtitle, link_text: current_page.data.link_text, success_message: current_page.data.success_message }

  .cta-featured-image
    .row.u-margin-bottom-md
      .col-md-10.col-md-offset-1.u-padding-top-sm
        %h3 These companies chose GitLab over Jenkins
        .customer-logos.text-center
          .customer-logo
            = partial "/images/customers/logo_alteryx-color.svg"
            %p.number 6x
            %p.description faster builds than Jenkins
          .customer-logo
            = partial "/images/customers/logo_goldman_sachs-color.svg"
            %p.number 1000+
            %p.description CI feature builds a day by some teams from 2 builds/day
          .customer-logo
            = partial "/images/customers/logo_verizon-color.svg"
            %p.number < 8 hours
            %p.description data center build time from 30 days
